<?php

namespace App\Filament\Resources\MemberDues;

use App\Filament\Resources\MemberDues\Pages\CreateMemberDue;
use App\Filament\Resources\MemberDues\Pages\EditMemberDue;
use App\Filament\Resources\MemberDues\Pages\ListMemberDues;
use App\Filament\Resources\MemberDues\Schemas\MemberDueForm;
use App\Filament\Resources\MemberDues\Tables\MemberDuesTable;
use App\Models\MemberDue;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class MemberDueResource extends Resource
{
    protected static ?string $model = MemberDue::class;
    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;
    protected static string|\UnitEnum|null $navigationGroup = 'Organisasi';
    protected static ?string $navigationLabel = 'Iuran Anggota';

    public static function form(Schema $schema): Schema
    {
        return MemberDueForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return MemberDuesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListMemberDues::route('/'),
            'create' => CreateMemberDue::route('/create'),
            'edit' => EditMemberDue::route('/{record}/edit'),
        ];
    }
}
